Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

String

## toCharArray()

#### Description

Get a pointer to the internal character array used to store the characters in the String. Modifying the returned array will also modify the String itself.

#### Syntax

string.toCharArray()

#### Parameters

string: a variable of type String

#### Returns

a pointer to the internal character array - char *

#### Example

#### See also

- getBytes()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share|
Edit Page | Page History | Printable View | All Recent Site Changes